org.bouncycastle.cms

## Interface CMSProcessable

All Known Implementing Classes:
  CMSEnvelopableByteArray, CMSProcessableBodyPart, CMSProcessableBodyPartInbound, CMSProcessableBodyPartOutbound, CMSProcessableByteArray, CMSProcessableFile, CMSSignableByteArray

    public interface CMSProcessable

### Method Summary

Methods
`java.lang.Object` `getContent()`
`void` `write(java.io.OutputStream out)` generic routine to copy out the data we want processed - the OutputStream passed in will do the handling on it's own.

### Method Detail

#### write

    void write(java.io.OutputStream out)
               throws java.io.IOException,
                      CMSException

generic routine to copy out the data we want processed - the OutputStream passed in will do the handling on it's own.

Note: this routine may be called multiple times.

Throws:
  `java.io.IOException`
  `CMSException`

#### getContent

    java.lang.Object getContent()